Get operation details

Pre-release

Get details of specific operation for a specific IoT eUICC. This route returns HTTP 404 error for non-IoT eUICCs.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session. To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

euicc_idintegerRequired
operation_idstringRequiredformat: "uuid"

Response

Operation detail
idstringformat: "uuid"
actionobject
statusobject
creation_datestringformat: "date-time"
last_updated_atstringformat: "date-time"
userobject
expiry_datestringformat: "date-time"
finalization_datestringformat: "date-time"
errorobject
iccid_with_luhnstringformat: "^89[0-9]{18}$"
Full ICCID including the Luhn check digit

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error